//Ex4_9.cpp
#include "iostream" 
#include "cstring" 
using namespace std;
void main() 
{char s[80];
 char name[4][10]={"Upper:","Lower:","Digit:","Other:"};  
 int i,a[4]={0};
 cout<<"Input a String:";
 gets(s);
 for(i=0;s[i]!= '\0';i++)
	{if(s[i]>='A' && s[i]<='Z') a[0]++;
     else if(s[i]>='a' && s[i]<='z') a[1]++;
     else if(s[i]>='0' && s[i]<='9') a[2]++;
     else a[3]++;}
 for(i=0;i<4;i++) cout<<name[i]<<a[i]<<endl;
}
